
# note this script only works if run in the project docker image, or an environment with the necessary paths and
# software installed. it writes files to a unix tmp dir and is not intended to be used for diagnostic testing, just
# checking the installation is working

source /storage/app/miniconda3/bin/activate /storage/app/EWS_prod/envs/conda/py3EWS/

# assumes run from the tests/integration/partial dir, and that all necessary packages are checked out alongside
PACKAGES_DIR="../../../../"

flagdir=$PACKAGES_DIR/flagdir
epimodel=$PACKAGES_DIR/epimodel
advisory=$PACKAGES_DIR/advisory_builder
met_processing=$PACKAGES_DIR/met_extractor_v2/met_data_extraction
met_processor=$PACKAGES_DIR/environmental_suitability
plotting=$PACKAGES_DIR/plotting/plotting
post_processing=$PACKAGES_DIR/post_processing/ews_postprocessing
source_gen=$PACKAGES_DIR/source_gen
coordinator=$PACKAGES_DIR/coordinator/coordinator
coordinator_tests=$PACKAGES_DIR/coordinator/tests

export PYTHONPATH=$PYTHONPATH:$flagdir:$epimodel:$advisory:$met_processing:$met_processor:$plotting:$source_gen:$post_processing:$coordinator:$coordinator_tests

echo $PYTHONPATH

tempdir=$(mktemp -d)
python3 -m coverage run run_test_suite.py "$tempdir"
